LibreOffice: DocumentTemplates Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
List of all members
DocumentTemplates Service Referencepublished

is a service for accessing the document templates of the office and manipulate them ( add or rename or remove templates ) More...

`import <DocumentTemplates.idl;`

Inheritance diagram for DocumentTemplates:

## Additional Inherited Members
Public Member Functions inherited from XDocumentTemplates
com::sun::star::ucb::XContent | getContent ()
| provides access to the root of internal used hierarchy
boolean | storeTemplate ([in] string GroupName, [in] string TemplateName, [in] XStorable Storable)
| creates the template with the given name in the given group using the data from the storable
boolean | addTemplate ([in] string GroupName, [in] string TemplateName, [in] string SourceURL)
| creates the template with the given name in the given group using the given URL
boolean | removeTemplate ([in] string GroupName, [in] string TemplateName)
| remove a template from specified group
boolean | renameTemplate ([in] string GroupName, [in] string OldTemplateName, [in] string NewTemplateName)
| rename a template inside specified group
boolean | addGroup ([in] string GroupName)
| creates a new group
boolean | removeGroup ([in] string GroupName)
| remove an existing group
boolean | renameGroup ([in] string OldGroupName, [in] string NewGroupName)
| rename an existing group
void | update ()
| force an update for internal structures
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is a service for accessing the document templates of the office and manipulate them ( add or rename or remove templates )

It implements a high level interface on top of a ucb content provider which is used for template configuration.

The documentation for this service was generated from the following file:

- com/sun/star/frame/DocumentTemplates.idl